Skip to main content
Manually install an MCP server on one Agent

Authorizations

acornops_cp_session
string
cookie
required

Path Parameters

workspaceId
string<uuid>
required
Example:

"4b930d98-add9-4924-ab26-3c16d96ec373"

agentId
string
required

Body

application/json
name
string
required
url
string<uri>
required

Absolute HTTPS remote Streamable HTTP MCP endpoint. User info, URL fragments, credential-like query keys, registry, server.json, package, container, and stdio locations are rejected.

Pattern: ^https://
enabled
boolean
authType
enum<string>
Available options:
none,
bearer_token,
custom_header,
oauth
credentialMode
enum<string>

Required for authenticated installations. Defaults to individual.

Available options:
none,
workspace,
individual
authHeaderName
string

HTTP header token. Platform routing, hop-by-hop, and MCP transport header names are reserved.

Required string length: 1 - 128
Pattern: ^[!#$%&'*+\-.^_`|~0-9A-Za-z]+$
authHeaderPrefix
string

Optional credential prefix. CR and LF characters are rejected.

Maximum string length: 4096
publicHeaders
object

Response

Agent MCP installation created.

server
object
required